aid_mgmnt_price_packages_put
curl --request PUT \
--url https://api.dintero.com/v1/accounts/{oid}/management/price-packages/{price_package_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"products": [
{
"product_id": "checkout.capture.card",
"prices": [
{
"amounts": [
{
"flat_amount": 250,
"unit_amount": "0.025",
"description": "<string>"
}
],
"dimensions": [
{
"name": "currency",
"values": [
"NOK",
"SEK"
]
},
{
"name": "card.issuer_country",
"values": [
"NO",
"SE"
]
},
{
"name": "payment_product_type_category",
"values": [
"invoice",
"b2b_invoice"
]
}
]
}
]
}
]
}
'import requests
url = "https://api.dintero.com/v1/accounts/{oid}/management/price-packages/{price_package_id}"
payload = {
"name": "<string>",
"description": "<string>",
"products": [
{
"product_id": "checkout.capture.card",
"prices": [
{
"amounts": [
{
"flat_amount": 250,
"unit_amount": "0.025",
"description": "<string>"
}
],
"dimensions": [
{
"name": "currency",
"values": ["NOK", "SEK"]
},
{
"name": "card.issuer_country",
"values": ["NO", "SE"]
},
{
"name": "payment_product_type_category",
"values": ["invoice", "b2b_invoice"]
}
]
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
products: [
{
product_id: 'checkout.capture.card',
prices: [
{
amounts: [{flat_amount: 250, unit_amount: '0.025', description: '<string>'}],
dimensions: [
{name: 'currency', values: ['NOK', 'SEK']},
{name: 'card.issuer_country', values: ['NO', 'SE']},
{name: 'payment_product_type_category', values: ['invoice', 'b2b_invoice']}
]
}
]
}
]
})
};
fetch('https://api.dintero.com/v1/accounts/{oid}/management/price-packages/{price_package_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{oid}/management/price-packages/{price_package_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"products\": [\n {\n \"product_id\": \"checkout.capture.card\",\n \"prices\": [\n {\n \"amounts\": [\n {\n \"flat_amount\": 250,\n \"unit_amount\": \"0.025\",\n \"description\": \"<string>\"\n }\n ],\n \"dimensions\": [\n {\n \"name\": \"currency\",\n \"values\": [\n \"NOK\",\n \"SEK\"\n ]\n },\n {\n \"name\": \"card.issuer_country\",\n \"values\": [\n \"NO\",\n \"SE\"\n ]\n },\n {\n \"name\": \"payment_product_type_category\",\n \"values\": [\n \"invoice\",\n \"b2b_invoice\"\n ]\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.dintero.com/v1/accounts/{oid}/management/price-packages/{price_package_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"products\": [\n {\n \"product_id\": \"checkout.capture.card\",\n \"prices\": [\n {\n \"amounts\": [\n {\n \"flat_amount\": 250,\n \"unit_amount\": \"0.025\",\n \"description\": \"<string>\"\n }\n ],\n \"dimensions\": [\n {\n \"name\": \"currency\",\n \"values\": [\n \"NOK\",\n \"SEK\"\n ]\n },\n {\n \"name\": \"card.issuer_country\",\n \"values\": [\n \"NO\",\n \"SE\"\n ]\n },\n {\n \"name\": \"payment_product_type_category\",\n \"values\": [\n \"invoice\",\n \"b2b_invoice\"\n ]\n }\n ]\n }\n ]\n }\n ]\n}")
.asString();{
"price_package": {
"name": "<string>",
"description": "<string>",
"products": [
{
"product_id": "checkout.capture.card",
"prices": [
{
"amounts": [
{
"flat_amount": 250,
"unit_amount": "0.025",
"description": "<string>"
}
],
"dimensions": [
{
"name": "currency",
"values": [
"NOK",
"SEK"
]
},
{
"name": "card.issuer_country",
"values": [
"NO",
"SE"
]
},
{
"name": "payment_product_type_category",
"values": [
"invoice",
"b2b_invoice"
]
}
]
}
]
}
],
"price_package_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"deleted_at": "2023-11-07T05:31:56Z",
"pricing_conditions": "<string>",
"source_price_package_id": "<string>",
"metadata": {}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}price-packages
Update price package
Update an existing price package.
scopes:
- admin:dintero
- write:dintero:/management/price-packages
PUT
https://api.dintero.com/v1
/
accounts
/
{oid}
/
management
/
price-packages
/
{price_package_id}
aid_mgmnt_price_packages_put
curl --request PUT \
--url https://api.dintero.com/v1/accounts/{oid}/management/price-packages/{price_package_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"products": [
{
"product_id": "checkout.capture.card",
"prices": [
{
"amounts": [
{
"flat_amount": 250,
"unit_amount": "0.025",
"description": "<string>"
}
],
"dimensions": [
{
"name": "currency",
"values": [
"NOK",
"SEK"
]
},
{
"name": "card.issuer_country",
"values": [
"NO",
"SE"
]
},
{
"name": "payment_product_type_category",
"values": [
"invoice",
"b2b_invoice"
]
}
]
}
]
}
]
}
'import requests
url = "https://api.dintero.com/v1/accounts/{oid}/management/price-packages/{price_package_id}"
payload = {
"name": "<string>",
"description": "<string>",
"products": [
{
"product_id": "checkout.capture.card",
"prices": [
{
"amounts": [
{
"flat_amount": 250,
"unit_amount": "0.025",
"description": "<string>"
}
],
"dimensions": [
{
"name": "currency",
"values": ["NOK", "SEK"]
},
{
"name": "card.issuer_country",
"values": ["NO", "SE"]
},
{
"name": "payment_product_type_category",
"values": ["invoice", "b2b_invoice"]
}
]
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
products: [
{
product_id: 'checkout.capture.card',
prices: [
{
amounts: [{flat_amount: 250, unit_amount: '0.025', description: '<string>'}],
dimensions: [
{name: 'currency', values: ['NOK', 'SEK']},
{name: 'card.issuer_country', values: ['NO', 'SE']},
{name: 'payment_product_type_category', values: ['invoice', 'b2b_invoice']}
]
}
]
}
]
})
};
fetch('https://api.dintero.com/v1/accounts/{oid}/management/price-packages/{price_package_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{oid}/management/price-packages/{price_package_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"products\": [\n {\n \"product_id\": \"checkout.capture.card\",\n \"prices\": [\n {\n \"amounts\": [\n {\n \"flat_amount\": 250,\n \"unit_amount\": \"0.025\",\n \"description\": \"<string>\"\n }\n ],\n \"dimensions\": [\n {\n \"name\": \"currency\",\n \"values\": [\n \"NOK\",\n \"SEK\"\n ]\n },\n {\n \"name\": \"card.issuer_country\",\n \"values\": [\n \"NO\",\n \"SE\"\n ]\n },\n {\n \"name\": \"payment_product_type_category\",\n \"values\": [\n \"invoice\",\n \"b2b_invoice\"\n ]\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.dintero.com/v1/accounts/{oid}/management/price-packages/{price_package_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"products\": [\n {\n \"product_id\": \"checkout.capture.card\",\n \"prices\": [\n {\n \"amounts\": [\n {\n \"flat_amount\": 250,\n \"unit_amount\": \"0.025\",\n \"description\": \"<string>\"\n }\n ],\n \"dimensions\": [\n {\n \"name\": \"currency\",\n \"values\": [\n \"NOK\",\n \"SEK\"\n ]\n },\n {\n \"name\": \"card.issuer_country\",\n \"values\": [\n \"NO\",\n \"SE\"\n ]\n },\n {\n \"name\": \"payment_product_type_category\",\n \"values\": [\n \"invoice\",\n \"b2b_invoice\"\n ]\n }\n ]\n }\n ]\n }\n ]\n}")
.asString();{
"price_package": {
"name": "<string>",
"description": "<string>",
"products": [
{
"product_id": "checkout.capture.card",
"prices": [
{
"amounts": [
{
"flat_amount": 250,
"unit_amount": "0.025",
"description": "<string>"
}
],
"dimensions": [
{
"name": "currency",
"values": [
"NOK",
"SEK"
]
},
{
"name": "card.issuer_country",
"values": [
"NO",
"SE"
]
},
{
"name": "payment_product_type_category",
"values": [
"invoice",
"b2b_invoice"
]
}
]
}
]
}
],
"price_package_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"deleted_at": "2023-11-07T05:31:56Z",
"pricing_conditions": "<string>",
"source_price_package_id": "<string>",
"metadata": {}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account or owner (partner)
price package id
Body
application/json
Response
Price package
This object contains the details for a price package that can be given to zero or more accounts
Show child attributes
Show child attributes
Last modified on July 22, 2026
⌘I